summarylogtreecommitdiffstats
path: root/libvirt.install
diff options
context:
space:
mode:
Diffstat (limited to 'libvirt.install')
-rw-r--r--libvirt.install38
1 files changed, 38 insertions, 0 deletions
diff --git a/libvirt.install b/libvirt.install
new file mode 100644
index 00000000000..32c28d559e2
--- /dev/null
+++ b/libvirt.install
@@ -0,0 +1,38 @@
+_libvirt_setup() {
+ systemd-tmpfiles --create libvirt.conf
+ rm -f /usr/lib/python?.?/site-packages/libvirt.pyc
+ echo ">>> To use libvirt as a non-root user:"
+ echo ">>> Use polkit to grant access."
+ echo ">>> ...or change the access model in /etc/libvirt/libvirtd.conf."
+ echo ">>> (see unixperms.patch in PKGBUILD for help)"
+ echo ""
+}
+
+post_install() {
+ _libvirt_setup || return 1
+ echo ">>> Be sure to see optdepends as you may find some of them helpfull."
+ echo ">>> Especially: bridge-utils, dnsmasq, and hal."
+ echo ""
+ echo ">>> To start libvirtd run: '/etc/rc.d/libvirtd start' as root."
+ echo ">>> Add 'libvirtd' to daemons in /etc/rc.conf if you want it to load upon"
+ echo ">>> booting."
+ echo ""
+}
+
+post_upgrade() {
+ _libvirt_setup || return 1
+ echo ">>> To finish the upgrade, restart libvirtd by:"
+ echo ">>> 'systemctl restart libvirtd' as root (systemd) or"
+ echo ">>> '/etc/rc.d/libvirtd restart' as root (initscripts) or"
+ echo ">>> rebooting."
+ echo ">>> You may also need to run 'rm -rf ~/.libvirt'"
+ echo ""
+}
+
+post_remove() {
+ rm -f /usr/lib/python[0-9].[0-9]/site-packages/libvirt.pyc
+ echo ">>> You may wish to delete the group 'libvirt' if it still exists."
+ echo ">>> It can be removed by running 'groupdel libvirt' as root."
+ echo ""
+ depmod -a
+}